Retrieve Vault Information
Retrieve the basic configuration information in your Vault, such as the Vault name, ID, and URL. Learn more about accessing Vault Information
GET
/api/{version}/vaultHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.3/vaultResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"id": "127037",
"name__sys": "MyVault",
"dns__sys": "myvault.veevavault.com",
"domain__sys": "veevavault.com",
"time_zone__sys": "america_new_york__sys",
"language__sys": "en",
"locale__sys": "en_US",
"vault_type__sys": "SANDBOX",
"domain_type__sys": "SANDBOX",
"vault_family__sys": {
"name__sys": "platform__v",
"label__sys": "Platform",
"vault_basics__sys": false,
"applications__sys": [
{
"name": "platform_platform__sys",
"label": "Platform",
"enabled": true
}
]
}
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response returns the following information:
| Name | Description |
|---|---|
id | The system-managed numeric ID assigned to the Vault. |
name__sys | The name of the Vault. |
dns__sys | The Vault's DNS. |
domain__sys | The Vault's domain. For example, veepharm.com. |
time_zone__sys | The Vault time zone, as configured on the Language & Region Settings page, expressed as a timezone__sys picklist value. For example, america_chicago__sys. |
language__sys | The Vault's base language, as an admin key (the admin_key__sys field value of the Language record configured as the Base Language). For example, en. |
locale__sys | The Vault's base locale, as an admin key (the admin_key__sys field value of the Locale record configured as the Base Locale). For example, en_US. |
vault_type__sys | The Vault type: SANDBOX or PRODUCTION. May be omitted if the Vault type cannot be determined at the time of the call, such as during Vault cloning prior to upgrades. |
domain_type__sys | The type of the Vault's domain: SANDBOX or PRODUCTION. |
vault_family__sys | The Vault family the Vault belongs to, including its name, label, whether it is a Vault Basics Vault, and its list of applications. |
vault_family__sys.is_vault_basics__sys | This is true if the Vault is a Vault Basics Vault, otherwise false. |
vault_family__sys.applications__sys | The list of applications available to the Vault's family, each with a name, label, and enabled field indicating whether the application is enabled on this Vault. |